use std::rc::Rc;
use std::cell::RefCell;

fn main() {
    let status = Rc::new(RefCell::new(false));  // 创建一个 Rc<RefCell<bool>>

    {
        // 使用 borrow_mut 获取内部值的可变引用
        let mut status_mut = status.borrow_mut();
        *status_mut = true;  // 通过解引用修改值
    }

    // 读取修改后的值
    println!("status: {}", *status.borrow());
}